/*
 * opendir
 */

#ifndef	NULL
#  define NULL (0)
#endif
#ifndef O_RDONLY
#  define O_RDONLY	(0)
#endif
#ifndef MAXNAMLEN
#  define MAXNAMLEN	(255)
#endif


typedef long long	aldev_t;
typedef long		aloff_t;
typedef long		alino_t;
typedef struct adir	ADIR;

struct adir {
	int	fd;
	char	*p, *e, b[8192];
};

struct aldent {
	alino_t		d_ino;
	aloff_t		d_off;
	unsigned short	d_reclen;
	char		d_name[MAXNAMLEN+1];
};

ADIR* axelinux_opendir(const char* name);
struct aldent* axelinux_readdir(ADIR* dir);
int axelinux_closedir(ADIR* dir);
